### Hierarchy

- BaseInput
  - Email
  - Phone
  - Text

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- initInput

## Constructors

### constructor

- new BaseInput(spec: ISpecification): BaseInput

- - Defined in lib/renderable/input/BaseInput.ts:7

  #### Parameters

  - ##### spec: ISpecification

  #### Returns BaseInput

## Properties

### spec

spec: ISpecification

- Defined in lib/renderable/input/BaseInput.ts:7

## Methods

### initInput

- initInput(type: string, className: string, isNested: boolean): HTMLInputElement

- - Defined in lib/renderable/input/BaseInput.ts:13

  #### Parameters

  - ##### type: string

  - ##### className: string

  - ##### isNested: boolean

  #### Returns HTMLInputElement

Generated using TypeDoc